Subject: Caring For Evergreen Trees

From: [email-masked] ()
Date: 1 Apr 1995 03:27:59 GMT

Last year, I planted 5 Canadian Hemlocks, 2 Norway Spruces, and 2 
Frazier Firs in eastern PA zone 6.  Do I need to fertilize them
this spring?  If not, when?  I saw some evergreen fertilization 
spikes in the local nursery that you stick in the ground around the
base of the tree.  Are these adequate for fertilization?  While I'm
asking these novice questions, would it benefit these trees to be
pruned?  They are in wide open areas, so space limitations do not
necessitate that they be trimmed.  Thank you for any advice as I
am in "Gardening Kindergarden" (hoping to graduate :) ).

					Dan Coronell
					[email-masked]